package main

import (
	"errors"
	"os/exec"
)

func hyprpaperPreload(path string) error {
	var err error
	var out []byte
	out, err = exec.Command("hyprctl", "hyprpaper", "preload", path).Output()
	if err != nil {
		return err
	}
	str := string(out)
	if str != "ok\n" {
		return errors.New(str)
	}
	return nil
}

func hyprpaperWallpaper(path string) error {
	var err error
	var out []byte
	out, err = exec.Command("hyprctl", "hyprpaper", "wallpaper", ","+path).Output()
	if err != nil {
		return err
	}
	str := string(out)
	if str != "ok\n" {
		return errors.New(str)
	}
	return nil
}
